Combobox
Elementary

## Functions

Evas_Object * | elm_combobox_add (Evas_Object *parent)
| Add a new Combobox object.

## Detailed Description

A combobox is a button displaying an entry that pops up a list of items (automatically choosing the direction to display). It is a convenience widget to avoid the need to do all the piecing together yourself. It is intended for manipulating a large number of items in the combobox menu.

This widget inherits from the Button, Genlist and Entry one, so that all the functions acting on it also work for combobox objects.

This widget emits the following signals, besides the ones sent from Button:

- `"clicked"` - the user clicked the combobox button and popped up the sel
- `"selected"` - an item in the combobox list is selected. event_info is the selected item
- `"dismissed"` - the hover is dismissed
- `"expanded"` - This is called on clicking combobox and elm_combobox_hover_begin().
- `"language,changed"` - the program's language changed.
- `"item,pressed"` - When the combobox item is pressed.
- `"filter,done"` - When the combobox completes the filter process.

Default content parts of the combobox widget that you can use are the the same that you use with the Button

Default text parts of the combobox widget that you can use are the the same that you use with the Entry

Supported elm_object common APIs.

- elm_object_disabled_set
- elm_object_disabled_get
- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_unset

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_get
- elm_object_item_signal_emit - this works only when the item is created.
- elm_object_item_style_set - this works only when the item is created.
- elm_object_item_style_get - this works only when the item is created.

See Combobox example for an example.

## Function Documentation

## elm_combobox_add()

Evas_Object * elm_combobox_add | ( | Evas_Object * | parent | ) |

Add a new Combobox object.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.